Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezimagecatalogue/user/imagelist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZImageCatalogueMain", "Language" )
| $ImageDir = $ini->variable( "eZImageCatalogueMain", "ImageDir" )
| $t
| $user =& eZUser::currentUser()
if(isset( $DetailView)) if(isset( $NormalView)) | $checkMode =& eZSession::globalSession()
| $category = new eZImageCategory( $CategoryID )
| $sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )
| $error = true
if( $category->id() !=0) | $pathArray = $category->path()
foreach( $pathArray as $path) | $categoryList =& $category->getByParent( $category )
| $i = 0
foreach( $categoryList as $categoryItem) if(count( $categoryList) > 0 &&!isset( $SearchText)) | else
| $limit = $ini->variable( "eZImageCatalogueMain", "ListImagesPerPage" )
| $count =& $category->imageCount()
| $URL = "image/list/$CategoryID/$Offset"
| $page_link = "image/list/$CategoryID/parent/{item_index}"
| $page_link_next = "image/list/$CategoryID/parent/{item_next_index}"
| $page_link_prev = "image/list/$CategoryID/parent/{item_previous_index}"
| $j = 0
| $counter = 0

## Variable Documentation

## ◆ $category

$category = new eZImageCategory( $CategoryID )

Definition at line 125 of file ezimagecatalogue/user/imagelist.php.

## ◆ $categoryList

foreach ($pathArray as $path) $categoryList =& $category->getByParent( $category )

Definition at line 184 of file ezimagecatalogue/user/imagelist.php.

## ◆ $checkMode

if (isset($DetailView)) if (isset($NormalView)) $checkMode =& eZSession::globalSession()

Definition at line 66 of file ezimagecatalogue/user/imagelist.php.

## ◆ $count

$count =& $category->imageCount()

Definition at line 244 of file ezimagecatalogue/user/imagelist.php.

## ◆ $counter

$counter = 0

Definition at line 255 of file ezimagecatalogue/user/imagelist.php.

## ◆ $error

$error = true

Definition at line 145 of file ezimagecatalogue/user/imagelist.php.

## ◆ $i

$i = 0

Definition at line 186 of file ezimagecatalogue/user/imagelist.php.

## ◆ $ImageDir

$ImageDir = $ini->variable( "eZImageCatalogueMain", "ImageDir" )

Definition at line 44 of file ezimagecatalogue/user/imagelist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 41 of file ezimagecatalogue/user/imagelist.php.

## ◆ $j

$j = 0

Definition at line 254 of file ezimagecatalogue/user/imagelist.php.

## ◆ $Language

$Language = $ini->variable( "eZImageCatalogueMain", "Language" )

Definition at line 43 of file ezimagecatalogue/user/imagelist.php.

## ◆ $limit

$limit = $ini->variable( "eZImageCatalogueMain", "ListImagesPerPage" )

Definition at line 227 of file ezimagecatalogue/user/imagelist.php.

## ◆ $page_link

$page_link = "image/list/$CategoryID/parent/{item_index}"

Definition at line 248 of file ezimagecatalogue/user/imagelist.php.

## ◆ $page_link_next

$page_link_next = "image/list/$CategoryID/parent/{item_next_index}"

Definition at line 249 of file ezimagecatalogue/user/imagelist.php.

## ◆ $page_link_prev

$page_link_prev = "image/list/$CategoryID/parent/{item_previous_index}"

Definition at line 250 of file ezimagecatalogue/user/imagelist.php.

## ◆ $pathArray

if ($category->id() !=0) $pathArray = $category->path()

Definition at line 171 of file ezimagecatalogue/user/imagelist.php.

## ◆ $sectionObject

$sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )

Definition at line 140 of file ezimagecatalogue/user/imagelist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezimagecatalogue/user/" . $ini->variable( "eZImageCatalogueMain", "TemplateDir" ),
"kernel/ezimagecatalogue/user/intl/", $Language, "imagelist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: ezimagecatalogue/user/imagelist.php:43
$ini
$ini
Definition: ezimagecatalogue/user/imagelist.php:41

Definition at line 46 of file ezimagecatalogue/user/imagelist.php.

## ◆ $URL

$URL = "image/list/$CategoryID/$Offset"

Definition at line 246 of file ezimagecatalogue/user/imagelist.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 53 of file ezimagecatalogue/user/imagelist.php.

## ◆ else

if ($error==false) else

Initial value:
{
$t->set_var( "category_list", "" )
$t
$t
Definition: ezimagecatalogue/user/imagelist.php:46

Definition at line 222 of file ezimagecatalogue/user/imagelist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.